# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/usb/generic-xhci.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: USB xHCI Controller

maintainers:
  - Mathias Nyman <mathias.nyman@intel.com>

allOf:
  - $ref: "usb-xhci.yaml#"

properties:
  compatible:
    oneOf:
      - description: Generic xHCI device
        const: generic-xhci
      - description: Armada 37xx/375/38x/8k SoCs
        items:
          - enum:
              - marvell,armada3700-xhci
              - marvell,armada-375-xhci
              - marvell,armada-380-xhci
              - marvell,armada-8k-xhci
          - const: generic-xhci
      - description: Broadcom STB SoCs with xHCI
        enum:
          - brcm,xhci-brcm-v2
          - brcm,bcm7445-xhci
      - description: Generic xHCI device
        const: xhci-platform
        deprecated: true

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    minItems: 1
    maxItems: 2

  clock-names:
    minItems: 1
    items:
      - const: core
      - const: reg

unevaluatedProperties: false

required:
  - compatible
  - reg
  - interrupts

examples:
  - |
    usb@f0931000 {
      compatible = "generic-xhci";
      reg = <0xf0931000 0x8c8>;
      interrupts = <0x0 0x4e 0x0>;
    };
